summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Sachau <tommy@gentoo.org>2009-09-04 17:04:12 +0000
committerThomas Sachau <tommy@gentoo.org>2009-09-04 17:04:12 +0000
commitcc181ffea60c6f873db56190bed868e432bd11f0 (patch)
tree467a7b240abfc8598acdb0f187a48f13fada6abe /net-misc
parentapp-misc/2gis-data: Version bump (diff)
downloadsunrise-cc181ffea60c6f873db56190bed868e432bd11f0.tar.gz
sunrise-cc181ffea60c6f873db56190bed868e432bd11f0.tar.bz2
sunrise-cc181ffea60c6f873db56190bed868e432bd11f0.zip
net-misc/moblock: Cleanup, fix pkg_postrm check
svn path=/sunrise/; revision=9166
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/moblock/ChangeLog4
-rw-r--r--net-misc/moblock/Manifest4
-rw-r--r--net-misc/moblock/moblock-0.8-r2.ebuild26
3 files changed, 14 insertions, 20 deletions
diff --git a/net-misc/moblock/ChangeLog b/net-misc/moblock/ChangeLog
index 6c6578a87..87b4151f1 100644
--- a/net-misc/moblock/ChangeLog
+++ b/net-misc/moblock/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 04 Sep 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
+ moblock-0.8-r2.ebuild:
+ Cleanup, fix pkg_postrm check
+
*moblock-0.8-r2 (03 Sep 2009)
03 Sep 2009; Daniel Santos (dansan) <daniel.santos@pobox.com>
diff --git a/net-misc/moblock/Manifest b/net-misc/moblock/Manifest
index 93c28db60..81a9dd6a2 100644
--- a/net-misc/moblock/Manifest
+++ b/net-misc/moblock/Manifest
@@ -10,6 +10,6 @@ AUX moblock-0.8-fix-nfq_unbind_pf-error.patch 615 RMD160 59734a3e704b12abbaacef0
AUX moblock-0.8-makefile.patch 853 RMD160 db5143301e9bead74090d42f9e66936ebc96417d SHA1 119e587f5f50964214c0bfd45ce844e5a95ac41c SHA256 927c6b7da2ef2bbe522f6a530125ee0d6235e052d6f81b1405b6e913f431bbb0
AUX moblock-0.8-rename-stats-file.patch 2051 RMD160 e7e395ffef153e72640b0b98fbc65ba28652230f SHA1 3917f61cc1cb40ca952e37d088c8eb7de5b4aff2 SHA256 cd63be8f9783ee4254e7eac8524888fc3b240cb8c2f3d4fa3e9d50dc27a4f173
DIST MoBlock-0.8-i586.tar.bz2 18553 RMD160 2190cfb55977ad23176ddb43e410ee5d9293a518 SHA1 e9e7b47622eb606b6c429fc507fc50d0c037487e SHA256 30d6d56fe72606ffa308fb8e6edd44c2b1806dfa4da8a13bde046964601fd904
-EBUILD moblock-0.8-r2.ebuild 2979 RMD160 5b1de6a9b82c21369e911433662b28b8b7c2500d SHA1 f5fa4140c6ad3edb1f9812799d0e16c5e5207c91 SHA256 2a3451dc2ed9145ebdd0ee6342445cb9929ba19d1332bd95a4078b669f8eb7b2
-MISC ChangeLog 5229 RMD160 8a4099f35d8266cbb8008e24f47cb23b538563ae SHA1 593a8c5457ec30bfbd38252e373d8678551f3a50 SHA256 59802607d113288bd81da3be304718c3f8dc36c22a2671f6f172346f992e4fea
+EBUILD moblock-0.8-r2.ebuild 2690 RMD160 dec9027ce8172ee0737b40294995d86772d611db SHA1 bac734b6c85acade358893431acd568e53a0fb29 SHA256 c90f3409aa7e8c8c12d7983deff0aaefaf1d8bf627ca7929c58d0a851b816e33
+MISC ChangeLog 5346 RMD160 f9ad4c5349c101e0bc43ebae60dc26c0ac25efe2 SHA1 0c0d3b51d006dda3dd9973fce06f1cde7a70ffa5 SHA256 06c50c1ac66fb7a6589e64c2a8ac6b509cd49a87308f6202bcca3d6a26b0eb6b
MISC metadata.xml 438 RMD160 ba8f8160888e20ee14e19b1f03e850ea4f51d580 SHA1 cf9eb35e84f9c5897d3b5a60a2d6a8830128190f SHA256 ea8e7fbe5303388357b94705bc312740b012b5a058f881367066c5223d56936b
diff --git a/net-misc/moblock/moblock-0.8-r2.ebuild b/net-misc/moblock/moblock-0.8-r2.ebuild
index 8f74392ca..841a9e301 100644
--- a/net-misc/moblock/moblock-0.8-r2.ebuild
+++ b/net-misc/moblock/moblock-0.8-r2.ebuild
@@ -4,7 +4,6 @@
inherit eutils linux-info toolchain-funcs
-
MY_P=MoBlock-${PV}
DESCRIPTION="Blocks connections from/to hosts listed in a file in peerguardian format using iptables"
@@ -17,49 +16,40 @@ KEYWORDS="~amd64 ~x86"
IUSE="logrotate network-cron paranoid"
DEPEND="net-libs/libnetfilter_queue
- net-libs/libnfnetlink"
+ net-libs/libnfnetlink"
RDEPEND="${DEPEND}
- net-firewall/iptables"
+ net-firewall/iptables"
S=${WORKDIR}/${MY_P}
CONFIG_CHECK="NETFILTER NETFILTER_XTABLES NETFILTER_XT_TARGET_NFQUEUE
- IP_NF_IPTABLES IP_NF_FILTER NETFILTER_XT_MATCH_STATE"
+ IP_NF_IPTABLES IP_NF_FILTER NETFILTER_XT_MATCH_STATE"
src_unpack() {
unpack ${A}
- epatch "${FILESDIR}/${P}-makefile.patch"
- epatch "${FILESDIR}/${P}-rename-stats-file.patch"
- epatch "${FILESDIR}/${P}-fix-nfq_unbind_pf-error.patch"
- epatch "${FILESDIR}/${P}-fix-broken-compile.patch"
+ epatch "${FILESDIR}"/${P}-{makefile,rename-stats-file,fix-nfq_unbind_pf-error,fix-broken-compile}.patch
}
src_compile() {
- cd "${S}" || die
emake CC=$(tc-getCC) || die "emake failed"
}
src_install() {
dosbin moblock || die
- dosbin "${FILESDIR}/${PVR}/moblock-update" || die
- dosbin "${FILESDIR}/${PVR}/moblock-stats" || die
+ dosbin "${FILESDIR}/${PVR}/moblock-{update,stats}" || die
newinitd "${FILESDIR}/${PVR}/init.d" moblock || die
- doconfd "${FILESDIR}/${PVR}/moblock.paranoid.example" || die
- doconfd "${FILESDIR}/${PVR}/moblock.normal.example" || die
- doconfd "${FILESDIR}/${PVR}/moblock.minimal.example" || die
+ doconfd "${FILESDIR}/${PVR}/moblock.{paranoid,normal,minimal}.example" || die
if use paranoid; then
newconfd "${FILESDIR}/${PVR}/moblock.paranoid.example" moblock || die
else
newconfd "${FILESDIR}/${PVR}/moblock.normal.example" moblock || die
fi
- dodir /var/db/moblock || die
+ dodir /var/{db,cache}/moblock || die
touch "${D}/var/db/moblock/guarding.p2p" || die
- keepdir /var/cache/moblock || die
-
if use network-cron; then
if use paranoid; then
dosym /usr/sbin/moblock-update /etc/cron.daily/moblock-update || die
@@ -93,7 +83,7 @@ pkg_postinst() {
}
pkg_postrm() {
- if ! has_version ${CATEGORY}/${PN} && [[ -d ${ROOT}/var/cache/moblock ]] ; then
+ if ! [[ -e ${ROOT}/usr/sbin/moblock ]] && [[ -d ${ROOT}/var/cache/moblock ]] ; then
elog "Removing leftover cache..."
rm -rf "${ROOT}/var/cache/moblock" ||
ewarn "Failed to remove ${ROOT}/var/cache/moblock"